IvyPatternHelper
Date: 2014-12-13

org.apache.ivy.core

## Class IvyPatternHelper

- java.lang.Object
- - org.apache.ivy.core.IvyPatternHelper

-     public final class IvyPatternHelper
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ARTIFACT_KEY`
    `static java.lang.String` | `BRANCH_KEY`
    `static java.lang.String` | `CONF_KEY`
    `static java.lang.String` | `EXT_KEY`
    `static java.lang.String` | `MODULE_KEY`
    `static java.lang.String` | `ORGANISATION_KEY`
    `static java.lang.String` | `ORGANISATION_KEY2`
    `static java.lang.String` | `ORGANISATION_PATH_KEY`
    `static java.lang.String` | `ORIGINAL_ARTIFACTNAME_KEY`
    `static java.lang.String` | `REVISION_KEY`
    `static java.lang.String` | `TYPE_KEY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getFirstToken(java.lang.String pattern)`
    `static java.lang.String` | `getTokenRoot(java.lang.String pattern)`
    `static java.lang.String` | `getTokenString(java.lang.String token)`
    `static java.lang.String` | `substitute(java.lang.String pattern, Artifact artifact)`
    `static java.lang.String` | `substitute(java.lang.String pattern, Artifact artifact, ArtifactOrigin origin)`
    `static java.lang.String` | `substitute(java.lang.String pattern, Artifact artifact, java.lang.String conf)`
    `static java.lang.String` | `substitute(java.lang.String pattern, ModuleRevisionId moduleRevision)`
    `static java.lang.String` | `substitute(java.lang.String pattern, ModuleRevisionId mrid, Artifact artifact)`
    `static java.lang.String` | `substitute(java.lang.String pattern, ModuleRevisionId mrid, Artifact artifact, java.lang.String conf, ArtifactOrigin origin)`
    `static java.lang.String` | `substitute(java.lang.String pattern, ModuleRevisionId moduleRevision, java.lang.String artifact, java.lang.String type, java.lang.String ext)`
    `static java.lang.String` | `substitute(java.lang.String pattern, java.lang.String org, java.lang.String module, java.lang.String revision, java.lang.String artifact, java.lang.String type, java.lang.String ext)`
    `static java.lang.String` | `substitute(java.lang.String pattern, java.lang.String org, java.lang.String module, java.lang.String revision, java.lang.String artifact, java.lang.String type, java.lang.String ext, java.lang.String conf)`
    `static java.lang.String` | `substitute(java.lang.String pattern, java.lang.String org, java.lang.String module, java.lang.String revision, java.lang.String artifact, java.lang.String type, java.lang.String ext, java.lang.String conf, java.util.Map extraModuleAttributes, java.util.Map extraArtifactAttributes)`
    `static java.lang.String` | `substitute(java.lang.String pattern, java.lang.String org, java.lang.String module, java.lang.String branch, java.lang.String revision, java.lang.String artifact, java.lang.String type, java.lang.String ext, java.lang.String conf, ArtifactOrigin origin, java.util.Map extraModuleAttributes, java.util.Map extraArtifactAttributes)`
    `static java.lang.String` | `substituteParams(java.lang.String pattern, java.util.Map params)`
    `static void` | `substituteToken(java.lang.StringBuffer buf, java.lang.String token, java.lang.String value)`
    `static java.lang.String` | `substituteToken(java.lang.String pattern, java.lang.String token, java.lang.String value)`
    `static java.lang.String` | `substituteTokens(java.lang.String pattern, java.util.Map tokens)`
    `static void` | `substituteVariable(java.lang.StringBuffer buf, java.lang.String variable, java.lang.String value)`
    `static java.lang.String` | `substituteVariable(java.lang.String pattern, java.lang.String variable, java.lang.String value)`
    `static java.lang.String` | `substituteVariables(java.lang.String pattern, IvyVariableContainer variables)`
    `static java.lang.String` | `substituteVariables(java.lang.String pattern, java.util.Map variables)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONF_KEY

          public static final java.lang.String CONF_KEY

      See Also:
        Constant Field Values

    - #### TYPE_KEY

          public static final java.lang.String TYPE_KEY

      See Also:
        Constant Field Values

    - #### EXT_KEY

          public static final java.lang.String EXT_KEY

      See Also:
        Constant Field Values

    - #### ARTIFACT_KEY

          public static final java.lang.String ARTIFACT_KEY

      See Also:
        Constant Field Values

    - #### BRANCH_KEY

          public static final java.lang.String BRANCH_KEY

      See Also:
        Constant Field Values

    - #### REVISION_KEY

          public static final java.lang.String REVISION_KEY

      See Also:
        Constant Field Values

    - #### MODULE_KEY

          public static final java.lang.String MODULE_KEY

      See Also:
        Constant Field Values

    - #### ORGANISATION_KEY

          public static final java.lang.String ORGANISATION_KEY

      See Also:
        Constant Field Values

    - #### ORGANISATION_KEY2

          public static final java.lang.String ORGANISATION_KEY2

      See Also:
        Constant Field Values

    - #### ORGANISATION_PATH_KEY

          public static final java.lang.String ORGANISATION_PATH_KEY

      See Also:
        Constant Field Values

    - #### ORIGINAL_ARTIFACTNAME_KEY

          public static final java.lang.String ORIGINAL_ARTIFACTNAME_KEY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### substitute

          public static java.lang.String substitute(java.lang.String pattern,
                                    ModuleRevisionId moduleRevision)

    - #### substitute

          public static java.lang.String substitute(java.lang.String pattern,
                                    ModuleRevisionId moduleRevision,
                                    java.lang.String artifact,
                                    java.lang.String type,
                                    java.lang.String ext)

    - #### substitute

          public static java.lang.String substitute(java.lang.String pattern,
                                    Artifact artifact)

    - #### substitute

          public static java.lang.String substitute(java.lang.String pattern,
                                    Artifact artifact,
                                    ArtifactOrigin origin)

    - #### substitute

          public static java.lang.String substitute(java.lang.String pattern,
                                    Artifact artifact,
                                    java.lang.String conf)

    - #### substitute

          public static java.lang.String substitute(java.lang.String pattern,
                                    ModuleRevisionId mrid,
                                    Artifact artifact)

    - #### substitute

          public static java.lang.String substitute(java.lang.String pattern,
                                    ModuleRevisionId mrid,
                                    Artifact artifact,
                                    java.lang.String conf,
                                    ArtifactOrigin origin)

    - #### substitute

          public static java.lang.String substitute(java.lang.String pattern,
                                    java.lang.String org,
                                    java.lang.String module,
                                    java.lang.String revision,
                                    java.lang.String artifact,
                                    java.lang.String type,
                                    java.lang.String ext)

    - #### substitute

          public static java.lang.String substitute(java.lang.String pattern,
                                    java.lang.String org,
                                    java.lang.String module,
                                    java.lang.String revision,
                                    java.lang.String artifact,
                                    java.lang.String type,
                                    java.lang.String ext,
                                    java.lang.String conf)

    - #### substitute

          public static java.lang.String substitute(java.lang.String pattern,
                                    java.lang.String org,
                                    java.lang.String module,
                                    java.lang.String revision,
                                    java.lang.String artifact,
                                    java.lang.String type,
                                    java.lang.String ext,
                                    java.lang.String conf,
                                    java.util.Map extraModuleAttributes,
                                    java.util.Map extraArtifactAttributes)

    - #### substitute

          public static java.lang.String substitute(java.lang.String pattern,
                                    java.lang.String org,
                                    java.lang.String module,
                                    java.lang.String branch,
                                    java.lang.String revision,
                                    java.lang.String artifact,
                                    java.lang.String type,
                                    java.lang.String ext,
                                    java.lang.String conf,
                                    ArtifactOrigin origin,
                                    java.util.Map extraModuleAttributes,
                                    java.util.Map extraArtifactAttributes)

    - #### substituteVariables

          public static java.lang.String substituteVariables(java.lang.String pattern,
                                             java.util.Map variables)

    - #### substituteVariables

          public static java.lang.String substituteVariables(java.lang.String pattern,
                                             IvyVariableContainer variables)

    - #### substituteTokens

          public static java.lang.String substituteTokens(java.lang.String pattern,
                                          java.util.Map tokens)

    - #### substituteVariable

          public static java.lang.String substituteVariable(java.lang.String pattern,
                                            java.lang.String variable,
                                            java.lang.String value)

    - #### substituteVariable

          public static void substituteVariable(java.lang.StringBuffer buf,
                                java.lang.String variable,
                                java.lang.String value)

    - #### substituteToken

          public static java.lang.String substituteToken(java.lang.String pattern,
                                         java.lang.String token,
                                         java.lang.String value)

    - #### substituteToken

          public static void substituteToken(java.lang.StringBuffer buf,
                             java.lang.String token,
                             java.lang.String value)

    - #### getTokenString

          public static java.lang.String getTokenString(java.lang.String token)

    - #### substituteParams

          public static java.lang.String substituteParams(java.lang.String pattern,
                                          java.util.Map params)

    - #### getTokenRoot

          public static java.lang.String getTokenRoot(java.lang.String pattern)

    - #### getFirstToken

          public static java.lang.String getFirstToken(java.lang.String pattern)